# application


# embedded server

#弃用? start
# dubbo && zookeeper
#spring.dubbo.application.name=web
#spring.dubbo.registry.address=zookeeper://127.0.0.1:2181
#弃用? end



# Dubbo Registry ?backup=112.74.48.214:2181,120.79.80.138:2181
#dubbo.registry.address=zookeeper://127.0.0.1:2181
dubbo.registry.address=zookeeper://172.18.223.209:2181

# Dubbo Protocol
dubbo.application.name=consumer
dubbo.protocol.name=dubbo
dubbo.protocol.port=20880


# stock h5 url
api.stock_h5=http://119.23.39.237:9088

# pai xiu url
api.paixiu=http://114.67.22.96:9089

#email file path
me.email.dzpath=/data/ordermanage/web/tempfile/


# ######################### [kafka topic] start #########################

# 指定kafka 代理地址，可以多个
spring.kafka.bootstrap-servers=172.18.223.209:9092
#=============== consumer  =======================
# 指定kafka 默认消费者group id
spring.kafka.consumer.group-id=uniorder-group-prod



#order config
me.orderTopic=orderdev

# superdesk-ser 老系统
custom.buildwindow.topic=buildwindow



# superdesk-mall 订单
superdesk.mall.kafka.topic.order.main=orderpro
# superdesk-mall 退单
superdesk.mall.kafka.topic.order.refund=refundpro
# superdesk-mall 订单 侨城汇 积分订单
superdesk.mall.kafka.topic.order.score=order_score
# superdesk-mall 订单 侨城汇 积分退单
superdesk.mall.kafka.topic.order.score.refund=order_score_refund
# superdesk-mall 订单 商户
superdesk.mall.kafka.topic.organisation.supplier=superdesk-mall-receive_merchant
# superdesk-mall 订单 企业
superdesk.mall.kafka.topic.organisation.virtualarchitecture=superdesk-mall-receive_virtualarchitecture




# superdesk-mall 商户 --供应商 supplier kafka
unified.supplier.topic=supplierSync


# superdesk-app 基金 ---- 美珍
custom.fund.topic=creditpro
custom.test.topic=test



# unified kfk config
superdesk.app.services.flashdeliver.kafka.topic.order.update_status=unifiedorderupdatedev


# superdesk-app 来源 canal kaf 1031 此topic 弃用 receive 有常量
custom.company.topic=superdesk-app-transfer-receive_company
custom.project.topic=superdesk-app-transfer-receive_organization
custom.virt.topic=superdesk-app-transfer-receive_virtualarchitecture



# superdesk-app 运营商 or 渠道商 new 1205 对接人 ---- 姜勇 new 1205
superdesk.app.services.organization.kafka.topic.channel.main=sw-un-operater
superdesk.app.services.organization.kafka.topic.channel.opt=sw-un-businesspor







# ######################### [kafka topic] end  #########################




# 统一登陆 单点登陆
# unified out token url
unified.out.tokenurl=http://superdesk.avic-s.com/super_cloud/api/organisation/wechat/front/user/getVirAndUserInfo

# unified out sale url
unified.out.saleurl=http://superdesk.avic-s.com/super_cloud/api/organisation/wechat/front/merchant/findMerchantById





# [统一支付] service _wechat pay api url
#[服务之窗 - 统一支付 接口 ---- 支付]
unified.dzman.wx.pay.apiurl=http://superdesk.avic-s.com/super_cloud/api/wechat/front/pay/unifiedPay
#[服务之窗 - 统一支付 接口 ---- 订单支付状态 查询]
unified.dzman.wx.pay.orderquery=http://superdesk.avic-s.com/super_cloud/api/wechat/front/pay/orderquery
#[微信前端 - 支付结果页面]
unified.dzman.wx.pay.backurl=http://order.api.avic-s.com/avicfile/enterpise_bill/#/paySuccess
#[统一订单 - callback 当服务之窗 统一支付 返回结果]
unified.dzman.wx.pay.notifyurl=http://order.api.avic-s.com/web/wechat/wxpayNotify
# [统一支付] service _wechat pay api url

